/*
 * Copyright (C) 2008-2009 Alex Lasnier <alex@fepg.org>
 *
 * This file is part of NAScan
 *
 * NAScan is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 2 of the License, or
 * (at your option) any later version.
 *
 * NAScan is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with NAScan.  If not, see <http://www.gnu.org/licenses/>.
 */

#include <vdr/device.h>

#include "menu.h"
#include "config.h"


static const char* const devices[] = { "Auto", "1", "2", "3", "4", "5", "6", "7", "8" };


//////////////////////////////////////////////////////////////////////////////


NAScanSetupMenu::NAScanSetupMenu(void)
{
  newAdapter = config.adapter;
  newIgnoreNoStream = config.ignoreNoStream;

  Add(new cMenuEditStraItem("Scan with DVB device number", &newAdapter, min(9, cDevice::NumDevices()+1), devices));
  Add(new cMenuEditBoolItem("Ignore channels with no stream info", &newIgnoreNoStream, "No", "Yes"));
}


//----------------------------------------------------------------------------

void NAScanSetupMenu::Store(void)
{
  SetupStore("adapter",        config.adapter        = newAdapter);
  SetupStore("ignoreNoStream", config.ignoreNoStream = newIgnoreNoStream);
}


//////////////////////////////////////////////////////////////////////////////



