/*
 * Copyright (C) 2008-2009 Alex Lasnier <alex@fepg.org>
 *
 * This file is part of NAScan
 *
 * NAScan is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 2 of the License, or
 * (at your option) any later version.
 *
 * NAScan is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with NAScan.  If not, see <http://www.gnu.org/licenses/>.
 */
 
#ifndef __NASCAN_SDT_FILTER_H
#define __NASCAN_SDT_FILTER_H


#include <map>
#include <string>

#include "filter.h"


//////////////////////////////////////////////////////////////////////////////


class SdtFilter : public GFilter
{
public:
  SdtFilter(void);
  virtual ~SdtFilter();
  
  const char* GetName(uint16_t nid, uint16_t tid, uint16_t sid) const;
  bool GotSdts(void) const { return gotAllSdts; } 
  bool GotData(void) { bool ret = gotSdtData; gotSdtData = false; return ret; }
  
protected:  
  virtual void Process(u_short pid, u_char tid, const u_char* data, int length); 
  virtual void SetStatus(bool On);
  
private:
  std::map<uint64_t, std::string> channelNames; // Key: NID|TSID|SID
  
  int source;
  bool gotAllSdts, gotActualSdt, gotSdtData; 
};


//////////////////////////////////////////////////////////////////////////////


#endif // __NASCAN_SDT_FILTER_H
